All Classes Namespaces Functions Variables Pages
MonteCarloAnisotropicBarostat Class Reference

This class uses a Monte Carlo algorithm to adjust the size of the periodic box, simulating the effect of constant pressure. More...

Inheritance diagram for MonteCarloAnisotropicBarostat:

## Public Member Functions

def | PressureX
| PressureX() -> std::string const &. More...
def | PressureY
| PressureY() -> std::string const &. More...
def | PressureZ
| PressureZ() -> std::string const &. More...
def | getDefaultPressure
| getDefaultPressure(MonteCarloAnisotropicBarostat self) -> Vec3 const & More...
def | setDefaultPressure
| setDefaultPressure(MonteCarloAnisotropicBarostat self, Vec3 const & pressure) More...
def | getScaleX
| getScaleX(MonteCarloAnisotropicBarostat self) -> bool More...
def | getScaleY
| getScaleY(MonteCarloAnisotropicBarostat self) -> bool More...
def | getScaleZ
| getScaleZ(MonteCarloAnisotropicBarostat self) -> bool More...
def | getFrequency
| getFrequency(MonteCarloAnisotropicBarostat self) -> int More...
def | setFrequency
| setFrequency(MonteCarloAnisotropicBarostat self, int freq) More...
def | getTemperature
| getTemperature(MonteCarloAnisotropicBarostat self) -> double More...
def | setTemperature
| setTemperature(MonteCarloAnisotropicBarostat self, double temp) More...
def | getRandomNumberSeed
| getRandomNumberSeed(MonteCarloAnisotropicBarostat self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(MonteCarloAnisotropicBarostat self, int seed) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(MonteCarloAnisotropicBarostat self) -> bool More...
def | __init__
| init(OpenMM::MonteCarloAnisotropicBarostat self, Vec3 const & defaultPressure, double temperature, bool scaleX=True, bool scaleY=True, bool scaleZ=True, int frequency=25) -> MonteCarloAnisotropicBarostat init(OpenMM::MonteCarloAnisotropicBarostat self, MonteCarloAnisotropicBarostat other) -> MonteCarloAnisotropicBarostat More...
def | __del__
| del(OpenMM::MonteCarloAnisotropicBarostat self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Static Public Attributes

tuple | PressureX = staticmethod(PressureX)
tuple | PressureY = staticmethod(PressureY)
tuple | PressureZ = staticmethod(PressureZ)

## Detailed Description

This class uses a Monte Carlo algorithm to adjust the size of the periodic box, simulating the effect of constant pressure.

This class is similar to MonteCarloBarostat, but each Monte Carlo move is applied to only one axis of the periodic box (unlike MonteCarloBarostat, which scales the entire box isotropically). This means that the box may change shape as well as size over the course of the simulation. It also allows you to specify a different pressure for each axis of the box, or to keep the box size fixed along certain axes while still allowing it to change along others.

This class assumes the simulation is also being run at constant temperature, and requires you to specify the system temperature (since it affects the acceptance probability for Monte Carlo moves). It does not actually perform temperature regulation, however. You must use another mechanism along with it to maintain the temperature, such as LangevinIntegrator or AndersenThermostat.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::MonteCarloAnisotropicBarostat self, Vec3 const & defaultPressure, double temperature, bool scaleX=True, bool scaleY=True, bool scaleZ=True, int frequency=25) -> MonteCarloAnisotropicBarostat init(OpenMM::MonteCarloAnisotropicBarostat self, MonteCarloAnisotropicBarostat other) -> MonteCarloAnisotropicBarostat

Create a MonteCarloAnisotropicBarostat.

Parameters

  defaultPressure | The default pressure acting on each axis (in bar)
  temperature | the temperature at which the system is being maintained (in Kelvin)
  scaleX | whether to allow the X dimension of the periodic box to change size
  scaleY | whether to allow the Y dimension of the periodic box to change size
  scaleZ | whether to allow the Z dimension of the periodic box to change size
  frequency | the frequency at which Monte Carlo pressure changes should be attempted (in time steps)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::MonteCarloAnisotropicBarostat self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getDefaultPressure | ( |  | self,
|  |  | args
| ) |  |

getDefaultPressure(MonteCarloAnisotropicBarostat self) -> Vec3 const &

Get the default pressure (in bar).

References simtk.openmm.openmm.stripUnits().

def getFrequency | ( |  | self,
|  |  | args
| ) |  |

getFrequency(MonteCarloAnisotropicBarostat self) -> int

Get the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

getRandomNumberSeed(MonteCarloAnisotropicBarostat self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def getScaleX | ( |  | self,
|  |  | args
| ) |  |

getScaleX(MonteCarloAnisotropicBarostat self) -> bool

Get whether to allow the X dimension of the periodic box to change size.

References simtk.openmm.openmm.stripUnits().

def getScaleY | ( |  | self,
|  |  | args
| ) |  |

getScaleY(MonteCarloAnisotropicBarostat self) -> bool

Get whether to allow the Y dimension of the periodic box to change size.

References simtk.openmm.openmm.stripUnits().

def getScaleZ | ( |  | self,
|  |  | args
| ) |  |

getScaleZ(MonteCarloAnisotropicBarostat self) -> bool

Get whether to allow the Z dimension of the periodic box to change size.

References simtk.openmm.openmm.stripUnits().

def getTemperature | ( |  | self,
|  |  | args
| ) |  |

getTemperature(MonteCarloAnisotropicBarostat self) -> double

Get the temperature at which the system is being maintained, measured in Kelvin.

References simtk.openmm.openmm.stripUnits().

def PressureX | ( |  | args | ) |

PressureX() -> std::string const &.

This is the name of the parameter which stores the current pressure acting on the X-axis (in bar).

References MonteCarloAnisotropicBarostat.PressureX, and simtk.openmm.openmm.stripUnits().

def PressureY | ( |  | args | ) |

PressureY() -> std::string const &.

This is the name of the parameter which stores the current pressure acting on the Y-axis (in bar).

References MonteCarloAnisotropicBarostat.PressureY, and simtk.openmm.openmm.stripUnits().

def PressureZ | ( |  | args | ) |

PressureZ() -> std::string const &.

This is the name of the parameter which stores the current pressure acting on the Z-axis (in bar).

References MonteCarloAnisotropicBarostat.PressureZ, and simtk.openmm.openmm.stripUnits().

def setDefaultPressure | ( |  | self,
|  |  | args
| ) |  |

setDefaultPressure(MonteCarloAnisotropicBarostat self, Vec3 const & pressure)

Set the default pressure acting on the system. This will affect any new Contexts you create, but not ones that already exist.

Parameters

  pressure | the default pressure acting on the system, measured in bar.

References simtk.openmm.openmm.stripUnits().

def setFrequency | ( |  | self,
|  |  | args
| ) |  |

setFrequency(MonteCarloAnisotropicBarostat self, int freq)

Set the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(MonteCarloAnisotropicBarostat self, int seed)

Set the random number seed. It is guaranteed that if two simulations are run with different random number seeds, the sequence of Monte Carlo steps will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

References simtk.openmm.openmm.stripUnits().

def setTemperature | ( |  | self,
|  |  | args
| ) |  |

setTemperature(MonteCarloAnisotropicBarostat self, double temp)

Set the temperature at which the system is being maintained.

Parameters

  temp | the system temperature, measured in Kelvin.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(MonteCarloAnisotropicBarostat self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

tuple PressureX = staticmethod(PressureX)

static

Referenced by MonteCarloAnisotropicBarostat.PressureX().

tuple PressureY = staticmethod(PressureY)

static

Referenced by MonteCarloAnisotropicBarostat.PressureY().

tuple PressureZ = staticmethod(PressureZ)

static

Referenced by MonteCarloAnisotropicBarostat.PressureZ().

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py